Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/DBInfo.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/DBInfo.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/DBInfo.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    DBInfo.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/DerbyWrapper.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/DerbyWrapper.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/DerbyWrapper.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    DerbyWrapper.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GDBMWrapper.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GDBMWrapper.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GDBMWrapper.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    GDBMWrapper.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSConstants.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSConstants.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSConstants.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    GSConstants.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSEntityResolver.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSEntityResolver.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSEntityResolver.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    GSEntityResolver.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSFileTest.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSFileTest.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSFileTest.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    GSFileTest.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSHTML.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSHTML.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSHTML.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    GSHTML.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSParams.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSParams.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSParams.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    GSParams.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSStatus.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSStatus.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSStatus.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    GSStatus.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSXML.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSXML.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSXML.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    GSXML.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSXSLT.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSXSLT.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GSXSLT.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    GSXSLT.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GlobalProperties.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GlobalProperties.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/GlobalProperties.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    GlobalProperties.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/OAIXML.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/OAIXML.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/OAIXML.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    OAIXML.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/OID.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/OID.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/OID.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    OID.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/OIDTest.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/OIDTest.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/OIDTest.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    OIDTest.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/Processing.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/Processing.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/Processing.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    Processing.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/UserQueryResult.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/UserQueryResult.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/UserQueryResult.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    UserQueryResult.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/UserTermInfo.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/UserTermInfo.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/UserTermInfo.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    UserTermInfo.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 package org.greenstone.gsdl3.util;
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/XSLTUtil.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/XSLTUtil.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/XSLTUtil.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    XSLTUtil.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/txt2usersDB.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/txt2usersDB.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/txt2usersDB.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    txt2usersDB.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 
Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/usersDB2txt.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/usersDB2txt.java	(revision 16868)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/util/usersDB2txt.java	(revision 16869)
@@ -1,2 +1,20 @@
+/*
+ *    usersDB2txt.java
+ *    Copyright (C) 2008 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 package org.greenstone.gsdl3.util;
 