Index: /greenstone3/trunk/src/java/org/greenstone/gsdl3/service/OAIPMH.java
===================================================================
--- /greenstone3/trunk/src/java/org/greenstone/gsdl3/service/OAIPMH.java	(revision 16870)
+++ /greenstone3/trunk/src/java/org/greenstone/gsdl3/service/OAIPMH.java	(revision 16871)
@@ -127,26 +127,32 @@
  
     Element identify = this.doc.createElement(OAIXML.SERVICE);
-    //add_service.setAttribute(GSXML.TYPE_ATT, "gather"); // why do we need this?
+
     identify.setAttribute(OAIXML.NAME, OAIXML.IDENTIFY);
+    identify.setAttribute(GSXML.TYPE_ATT, "oai");
     this.short_service_info.appendChild(identify);
 
     Element list_records = this.doc.createElement(OAIXML.SERVICE);
     list_records.setAttribute(OAIXML.NAME, OAIXML.LIST_RECORDS);
+    list_records.setAttribute(GSXML.TYPE_ATT, "oai");
     this.short_service_info.appendChild(list_records);
 
     Element list_identifiers = this.doc.createElement(OAIXML.SERVICE);
     list_identifiers.setAttribute(OAIXML.NAME, OAIXML.LIST_IDENTIFIERS);
+    list_identifiers.setAttribute(GSXML.TYPE_ATT, "oai");
     this.short_service_info.appendChild(list_identifiers);
     
     Element list_sets = this.doc.createElement(OAIXML.SERVICE);
     list_sets.setAttribute(OAIXML.NAME, OAIXML.LIST_SETS);
+    list_sets.setAttribute(GSXML.TYPE_ATT, "oai");
     this.short_service_info.appendChild(list_sets);
     
     Element list_metadata_formats = this.doc.createElement(OAIXML.SERVICE);
     list_metadata_formats.setAttribute(OAIXML.NAME, OAIXML.LIST_METADATA_FORMATS);
+    list_metadata_formats.setAttribute(GSXML.TYPE_ATT, "oai");
     this.short_service_info.appendChild(list_metadata_formats);
 
     Element get_record = this.doc.createElement(OAIXML.SERVICE);
     get_record.setAttribute(OAIXML.NAME, OAIXML.GET_RECORD);
+    get_record.setAttribute(GSXML.TYPE_ATT, "oai");
     this.short_service_info.appendChild(get_record);
     
@@ -158,34 +164,39 @@
     if (service_id.equals(OAIXML.IDENTIFY)) {
       Element identify = this.doc.createElement(OAIXML.SERVICE);
-      //add_service.setAttribute(GSXML.TYPE_ATT, "gather"); // why do we need this?
       identify.setAttribute(OAIXML.NAME, OAIXML.IDENTIFY);
+      identify.setAttribute(GSXML.TYPE_ATT, "oai");
       return identify;
     }
     if (service_id.equals(OAIXML.LIST_RECORDS)) {
-    Element list_records = this.doc.createElement(OAIXML.SERVICE);
-    list_records.setAttribute(OAIXML.NAME, OAIXML.LIST_RECORDS);
-    return list_records;
-    }
-
+      Element list_records = this.doc.createElement(OAIXML.SERVICE);
+      list_records.setAttribute(OAIXML.NAME, OAIXML.LIST_RECORDS);
+      list_records.setAttribute(GSXML.TYPE_ATT, "oai");
+      return list_records;
+    }
+    
     if (service_id.equals(OAIXML.LIST_IDENTIFIERS)) {
-    Element list_identifiers = this.doc.createElement(OAIXML.SERVICE);
-    list_identifiers.setAttribute(OAIXML.NAME, OAIXML.LIST_IDENTIFIERS);
-    return list_identifiers;
+      Element list_identifiers = this.doc.createElement(OAIXML.SERVICE);
+      list_identifiers.setAttribute(OAIXML.NAME, OAIXML.LIST_IDENTIFIERS);
+      list_identifiers.setAttribute(GSXML.TYPE_ATT, "oai");
+      return list_identifiers;
     }
     if (service_id.equals(OAIXML.LIST_SETS)) {
-    Element list_sets = this.doc.createElement(OAIXML.SERVICE);
-    list_sets.setAttribute(OAIXML.NAME, OAIXML.LIST_SETS);
-    return list_sets;
+      Element list_sets = this.doc.createElement(OAIXML.SERVICE);
+      list_sets.setAttribute(OAIXML.NAME, OAIXML.LIST_SETS);
+      list_sets.setAttribute(GSXML.TYPE_ATT, "oai");
+      return list_sets;
     }
     if (service_id.equals(OAIXML.LIST_METADATA_FORMATS)) {
-    Element list_metadata_formats = this.doc.createElement(OAIXML.SERVICE);
-    list_metadata_formats.setAttribute(OAIXML.NAME, OAIXML.LIST_METADATA_FORMATS);
-    return list_metadata_formats;
-    }
-
+      Element list_metadata_formats = this.doc.createElement(OAIXML.SERVICE);
+      list_metadata_formats.setAttribute(OAIXML.NAME, OAIXML.LIST_METADATA_FORMATS);
+      list_metadata_formats.setAttribute(GSXML.TYPE_ATT, "oai");
+      return list_metadata_formats;
+    }
+    
     if (service_id.equals(OAIXML.GET_RECORD)) {
-    Element get_record = this.doc.createElement(OAIXML.SERVICE);
-    get_record.setAttribute(OAIXML.NAME, OAIXML.GET_RECORD);
-    return get_record;
+      Element get_record = this.doc.createElement(OAIXML.SERVICE);
+      get_record.setAttribute(OAIXML.NAME, OAIXML.GET_RECORD);
+      get_record.setAttribute(GSXML.TYPE_ATT, "oai");
+      return get_record;
     }
     