Index: /gli/trunk/src/org/greenstone/gatherer/cdm/CollectionConfiguration.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/CollectionConfiguration.java	(revision 16879)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/CollectionConfiguration.java	(revision 16880)
@@ -1727,5 +1727,4 @@
             e.setAttribute (StaticStrings.LANGUAGE_ATTRIBUTE, lang);
             XMLTools.setNodeText (e, text);
-            
             display_item_list.add (e);
         }
@@ -1881,5 +1880,5 @@
             Element e = (Element)index_children.item (i);
             String index_str = e.getAttribute (StaticStrings.NAME_ATTRIBUTE);
-            String index_str_display = index_str;//for creating collectionmetadata for this index
+            String index_str_display = index_str;//for creating collectionmetadata for this index 
             
             // Handling 'index' element
@@ -3099,11 +3098,4 @@
             StaticStrings.NAME_ATTRIBUTE, index_value);
             
-            if (collectionmetadata_list == null) {
-                //try adding the "." prefix
-                index_value = StaticStrings.DOT_CHARACTER + index_value;
-                collectionmetadata_list = XMLTools.getNamedElementList (source,
-                StaticStrings.COLLECTIONMETADATA_ELEMENT,
-                StaticStrings.NAME_ATTRIBUTE, index_value);
-            }
             if (collectionmetadata_list != null) {
                 
@@ -3158,11 +3150,4 @@
             StaticStrings.NAME_ATTRIBUTE, name_str);
             
-            if (collectionmetadata_list == null) {
-                //try adding the "." prefix
-                name_str = StaticStrings.DOT_CHARACTER + name_str;
-                collectionmetadata_list = XMLTools.getNamedElementList (source,
-                StaticStrings.COLLECTIONMETADATA_ELEMENT,
-                StaticStrings.NAME_ATTRIBUTE, name_str);
-            }
             if (collectionmetadata_list != null) {
                 
@@ -3300,27 +3285,15 @@
             StaticStrings.NAME_ATTRIBUTE, temp_str);
             
-            if (collectionmetadata_list == null) {
-                //try adding the "." prefix
-                String with_dot_str = StaticStrings.DOT_CHARACTER + temp_str;
-                collectionmetadata_list = XMLTools.getNamedElementList (source,
-                StaticStrings.COLLECTIONMETADATA_ELEMENT,
-                StaticStrings.NAME_ATTRIBUTE, with_dot_str);
-                
-                if (collectionmetadata_list == null) {
-                    //try the full name, i.e. with 'ex.'
-                    if (mg_indexer == true) {
-                        full_index_name = level_str+StaticStrings.COLON_CHARACTER+full_index_name;
-                    }
-                    collectionmetadata_list = XMLTools.getNamedElementList (source,
-                    StaticStrings.COLLECTIONMETADATA_ELEMENT,
-                    StaticStrings.NAME_ATTRIBUTE, full_index_name);
-                }
-                if (collectionmetadata_list == null) {
-                    with_dot_str = StaticStrings.DOT_CHARACTER + full_index_name;
-                    collectionmetadata_list = XMLTools.getNamedElementList (source,
-                    StaticStrings.COLLECTIONMETADATA_ELEMENT,
-                    StaticStrings.NAME_ATTRIBUTE, with_dot_str);
-                }
-            }
+	    if (collectionmetadata_list == null) {
+	      //try the full name, i.e. with 'ex.'
+	      if (mg_indexer == true) {
+		// but first append level info if we are mg
+		full_index_name = level_str+StaticStrings.COLON_CHARACTER+full_index_name;
+	      }
+	      collectionmetadata_list = XMLTools.getNamedElementList (source,
+			     StaticStrings.COLLECTIONMETADATA_ELEMENT,
+			     StaticStrings.NAME_ATTRIBUTE, full_index_name);
+	    }
+	
             if (collectionmetadata_list != null) {
                 
@@ -3377,11 +3350,4 @@
             StaticStrings.NAME_ATTRIBUTE, name_str);
             
-            if (collectionmetadata_list == null) {
-                //try adding the "." prefix
-                name_str = StaticStrings.DOT_CHARACTER + name_str;
-                collectionmetadata_list = XMLTools.getNamedElementList (source,
-                StaticStrings.COLLECTIONMETADATA_ELEMENT,
-                StaticStrings.NAME_ATTRIBUTE, name_str);
-            }
             if (collectionmetadata_list != null) {
                 