Index: /greenstone3/trunk/build.xml
===================================================================
--- /greenstone3/trunk/build.xml	(revision 16935)
+++ /greenstone3/trunk/build.xml	(revision 16936)
@@ -48,5 +48,4 @@
 
   -->
-
   
   <!--the first three properties have to be put on the top to be used by build.properties-->
@@ -106,5 +105,5 @@
       <isset property="tomcat.installed.path"/>
       <not>
-	<equals arg1="" arg2="${tomcat.installed.path}"/>
+      <equals arg1="" arg2="${tomcat.installed.path}"/>
       </not>
     </and>
@@ -127,5 +126,5 @@
       <os family="unix"/>
       <not>
-	<os family="mac"/>
+  <os family="mac"/>
       </not>
     </and>
@@ -236,6 +235,6 @@
     <!-- Include the axis jar files -->
     <!--<fileset dir="${basedir}/comms/soap/axis/lib">
-    <include name="*.jar"/>
-  </fileset>-->
+      <include name="*.jar"/>
+    </fileset>-->
     
     <!-- include the jar files from the source packages -->
@@ -299,4 +298,5 @@
       includes="*.sh,*.pl"/>
   </target>
+
   <target name="install" depends="init,install-indexer-files,configure,configure-c++,compile" 
     description="Install Greenstone 3. Use this when you first checkout the code: 'ant prepare install'."/>
@@ -307,5 +307,4 @@
     description="Do a `svn update` for all sources. Doesn't recompile the code. You need to be online to run this."/>
 
-
   <target name="configure-c++" depends="init,configure-packages,configure-core,configure-gs2building"
     description="Configure any C/C+/+ package code and gs2building code if necessary"/>
@@ -329,7 +328,7 @@
     description="Startup the Tomcat server." >
     <echo>${app.name} (${app.version}) server running using Apache Tomcat and Java</echo> 
-    <echo>Tomcat:	${catalina.home}</echo> 
-    <echo>Java:	${java.home}</echo>
-    <echo>URL:	http://${tomcat.server}:${tomcat.port}${app.path}/</echo>
+    <echo>Tomcat: ${catalina.home}</echo> 
+    <echo>Java  : ${java.home}</echo>
+    <echo>URL   : http://${tomcat.server}:${tomcat.port}${app.path}/</echo>
     <!-- assuming that index.html is not needed here -->   
   </target>
@@ -384,7 +383,7 @@
     <condition property="java.too.old">
       <or>
-	<equals arg1="1.1" arg2="${ant.java.version}"/>
-	<equals arg1="1.2" arg2="${ant.java.version}"/>
-	<equals arg1="1.3" arg2="${ant.java.version}"/>
+        <equals arg1="1.1" arg2="${ant.java.version}"/>
+        <equals arg1="1.2" arg2="${ant.java.version}"/>
+        <equals arg1="1.3" arg2="${ant.java.version}"/>
       </or>
     </condition>
@@ -397,8 +396,6 @@
     <condition property="tomcat.islocal">
       <or>
-	<not>
-	  <isset property="tomcat.installed.path"/>
-	</not>
-	<equals arg1="" arg2="${tomcat.installed.path}"/>
+        <not><isset property="tomcat.installed.path"/></not>
+        <equals arg1="" arg2="${tomcat.installed.path}"/>
       </or>
     </condition>
@@ -415,8 +412,6 @@
     <condition property="proxy.present">
       <and>
-	<isset property="proxy.host"/>
-	<not>
-	  <equals arg1="" arg2="${proxy.host}"/>
-	</not>
+        <isset property="proxy.host"/>
+        <not><equals arg1="" arg2="${proxy.host}"/></not>
       </and>
     </condition>
@@ -424,8 +419,6 @@
     <condition property="need.macos.extra">
       <and>
-	<isset property="current.os.ismac"/>
-	<not>
-	  <isset property="disable.collection.building"/>
-	</not>
+        <isset property="current.os.ismac"/>
+        <not><isset property="disable.collection.building"/></not>
       </and>
     </condition>
@@ -435,6 +428,6 @@
     <condition property="ask.user">
       <or>
-	<equals arg1="" arg2="${proxy.user}"/>
-	<equals arg1="" arg2="${proxy.password}"/>
+        <equals arg1="" arg2="${proxy.user}"/>
+        <equals arg1="" arg2="${proxy.password}"/>
       </or>
     </condition>
@@ -457,6 +450,6 @@
     <condition property="need.xalan.jar">
       <or>
-	<equals arg1="1.5" arg2="${ant.java.version}"/>
-	<equals arg1="1.6" arg2="${ant.java.version}"/>
+        <equals arg1="1.5" arg2="${ant.java.version}"/>
+        <equals arg1="1.6" arg2="${ant.java.version}"/>
       </or>
     </condition>
@@ -465,8 +458,8 @@
     <if>
       <bool>
-	<and>
-	  <isset property="have.xalan.jar"/>
-	  <not><isset property="need.xalan.jar"/></not>
-	</and>
+        <and>
+          <isset property="have.xalan.jar"/>
+          <not><isset property="need.xalan.jar"/></not>
+        </and>
       </bool>
       <antcall target="deactivate-xalan-jar"/>
@@ -476,8 +469,8 @@
     <if>
       <bool>
-	<and>
-	  <not><isset property="have.xalan.jar"/></not>
-	  <isset property="need.xalan.jar"/>
-	</and>
+        <and>
+          <not><isset property="have.xalan.jar"/></not>
+          <isset property="need.xalan.jar"/>
+        </and>
       </bool>
       <antcall target="activate-xalan-jar"/>
@@ -503,94 +496,88 @@
 
 
-<target name="prepare-collections" depends="init">
-  <property name="collect.dir" value="${web.home}/sites/localsite/collect"/>
-  <property name="import.zip" value="import.zip"/>
-  <property name="metadata.zip" value="metadata.zip"/>
-  <property name="index.zip" value="index/index.zip"/>
-
-  <echo message="installing collections..."/>
-  <antcall target="gs2mgdemo-install"/>
-  <antcall target="gs2mgppdemo-install"/>
-  <antcall target="gberg-install"/>
-
-</target>
-
-<target name="gs2mgdemo-prepare" if="collect.dir">
- <property name="gs2mgdemo.dir" value="${collect.dir}/gs2mgdemo"/>
- 
-<fileset id="gs2mgdemofiles" dir="${gs2mgdemo.dir}">
-	<include name="${import.zip}"/>
-	<include name="${metadata.zip}"/>
-	<include name="${index.zip}"/>
-</fileset>
-
-<condition property="gs2mgdemo.present">
-    <and>
-	<available file="${gs2mgdemo.dir}/${import.zip}"/>
-	<available file="${gs2mgdemo.dir}/${metadata.zip}"/>
-        <available file="${gs2mgdemo.dir}/${index.zip}"/>
-    </and>
-  </condition>
-</target>
-
-<target name="gs2mgdemo-install" if="gs2mgdemo.present"  depends="gs2mgdemo-prepare">
-  <echo> installing gs2mgdemo</echo>
-  <unzip dest="${gs2mgdemo.dir}" src="${gs2mgdemo.dir}/${import.zip}" />
-  <unzip dest="${gs2mgdemo.dir}" src="${gs2mgdemo.dir}/${metadata.zip}" />
-  <unzip dest="${gs2mgdemo.dir}/index" src="${gs2mgdemo.dir}/${index.zip}" />
-  <!--Don't delete the zips, else doing an svn update will get them all over again.-->
-  <!--<delete><fileset refid="gs2mgdemofiles"/></delete>-->
-  <echo>collection gs2mgdemo installed</echo>
-</target>
-
-<target name="gs2mgppdemo-prepare" if="collect.dir">
- <property name="gs2mgppdemo.dir" value="${collect.dir}/gs2mgppdemo"/>
- 
-<fileset id="gs2mgppdemofiles" dir="${gs2mgppdemo.dir}">
-        <include name="${import.zip}"/>
-	<include name="${metadata.zip}"/>
-	<include name="${index.zip}"/>
-</fileset>
-
-<condition property="gs2mgppdemo.present">
-    <and>
-        <available file="${gs2mgppdemo.dir}/${import.zip}"/>
-	<available file="${gs2mgppdemo.dir}/${metadata.zip}"/>
-        <available file="${gs2mgppdemo.dir}/${index.zip}"/>
-    </and>
-  </condition>
-</target>
-
-<target name="gs2mgppdemo-install" if="gs2mgppdemo.present" depends="gs2mgppdemo-prepare">
-  <unzip dest="${gs2mgppdemo.dir}" src="${gs2mgppdemo.dir}/${import.zip}" />
-  <unzip dest="${gs2mgppdemo.dir}" src="${gs2mgppdemo.dir}/${metadata.zip}" />
-  <unzip dest="${gs2mgppdemo.dir}/index" src="${gs2mgppdemo.dir}/${index.zip}" />
-  <!--<delete><fileset refid="gs2mgppdemofiles"/></delete>-->
-  <echo>collection gs2mgppdemo installed</echo>
-</target>    
-
-<target name="gberg-prepare" if="collect.dir">
- <property name="gberg.dir" value="${collect.dir}/gberg"/>
- 
-<fileset id="gbergfiles" dir="${gberg.dir}">
-        <include name="${index.zip}"/>
-</fileset>
-<available file="${gberg.dir}/${index.zip}" property="gberg.present"/>
-</target>
-
-<target name="gberg-install" if="gberg.present" depends="gberg-prepare">
-<unzip dest="${gberg.dir}/index">
-        <fileset refid="gbergfiles"/>
-</unzip>
-<!--<delete><fileset refid="gbergfiles"/></delete>-->
-<echo>collection gberg installed</echo>
-</target>
-
-
-
-<!--
   <target name="prepare-collections" depends="init">
     <property name="collect.dir" value="${web.home}/sites/localsite/collect"/>
-   
+    <property name="import.zip" value="import.zip"/>
+    <property name="metadata.zip" value="metadata.zip"/>
+    <property name="index.zip" value="index/index.zip"/>
+
+    <echo message="installing collections..."/>
+    <antcall target="gs2mgdemo-install"/>
+    <antcall target="gs2mgppdemo-install"/>
+    <antcall target="gberg-install"/>
+  </target>
+
+  <target name="gs2mgdemo-prepare" if="collect.dir">
+    <property name="gs2mgdemo.dir" value="${collect.dir}/gs2mgdemo"/>
+    <fileset id="gs2mgdemofiles" dir="${gs2mgdemo.dir}">
+      <include name="${import.zip}"/>
+      <include name="${metadata.zip}"/>
+      <include name="${index.zip}"/>
+    </fileset>
+
+    <condition property="gs2mgdemo.present">
+      <and>
+        <available file="${gs2mgdemo.dir}/${import.zip}"/>
+        <available file="${gs2mgdemo.dir}/${metadata.zip}"/>
+        <available file="${gs2mgdemo.dir}/${index.zip}"/>
+      </and>
+    </condition>
+  </target>
+
+  <target name="gs2mgdemo-install" if="gs2mgdemo.present"  depends="gs2mgdemo-prepare">
+    <echo> installing gs2mgdemo</echo>
+    <unzip dest="${gs2mgdemo.dir}" src="${gs2mgdemo.dir}/${import.zip}" />
+    <unzip dest="${gs2mgdemo.dir}" src="${gs2mgdemo.dir}/${metadata.zip}" />
+    <unzip dest="${gs2mgdemo.dir}/index" src="${gs2mgdemo.dir}/${index.zip}" />
+    <!--Don't delete the zips, else doing an svn update will get them all over again.-->
+    <!--<delete><fileset refid="gs2mgdemofiles"/></delete>-->
+    <echo>collection gs2mgdemo installed</echo>
+  </target>
+
+  <target name="gs2mgppdemo-prepare" if="collect.dir">
+    <property name="gs2mgppdemo.dir" value="${collect.dir}/gs2mgppdemo"/>
+ 
+    <fileset id="gs2mgppdemofiles" dir="${gs2mgppdemo.dir}">
+      <include name="${import.zip}"/>
+      <include name="${metadata.zip}"/>
+      <include name="${index.zip}"/>
+    </fileset>
+
+    <condition property="gs2mgppdemo.present">
+      <and>
+        <available file="${gs2mgppdemo.dir}/${import.zip}"/>
+        <available file="${gs2mgppdemo.dir}/${metadata.zip}"/>
+        <available file="${gs2mgppdemo.dir}/${index.zip}"/>
+      </and>
+    </condition>
+  </target>
+
+  <target name="gs2mgppdemo-install" if="gs2mgppdemo.present" depends="gs2mgppdemo-prepare">
+    <unzip dest="${gs2mgppdemo.dir}" src="${gs2mgppdemo.dir}/${import.zip}" />
+    <unzip dest="${gs2mgppdemo.dir}" src="${gs2mgppdemo.dir}/${metadata.zip}" />
+    <unzip dest="${gs2mgppdemo.dir}/index" src="${gs2mgppdemo.dir}/${index.zip}" />
+    <!--<delete><fileset refid="gs2mgppdemofiles"/></delete>-->
+    <echo>collection gs2mgppdemo installed</echo>
+  </target>    
+
+  <target name="gberg-prepare" if="collect.dir">
+    <property name="gberg.dir" value="${collect.dir}/gberg"/>
+    <fileset id="gbergfiles" dir="${gberg.dir}">
+      <include name="${index.zip}"/>
+    </fileset>
+    <available file="${gberg.dir}/${index.zip}" property="gberg.present"/>
+  </target>
+
+  <target name="gberg-install" if="gberg.present" depends="gberg-prepare">
+    <unzip dest="${gberg.dir}/index">
+      <fileset refid="gbergfiles"/>
+    </unzip>
+    <!--<delete><fileset refid="gbergfiles"/></delete>-->
+    <echo>collection gberg installed</echo>
+  </target>
+
+  <!--
+  <target name="prepare-collections" depends="init">
+    <property name="collect.dir" value="${web.home}/sites/localsite/collect"/>
     <unzip src="${collect.dir}/gs2mgdemo/import.zip" 
       dest="${collect.dir}/gs2mgdemo"/>
@@ -617,8 +604,6 @@
     <delete file="${collect.dir}/gberg/index/index.zip"/>
   </target>
--->
-
-
-  
+  -->
+
   <target name="configure-web" depends="init"
     description="Configure only the web app config files">
@@ -643,7 +628,5 @@
       deprecation="${compile.deprecation}"
       optimize="${compile.optimize}">
-      <classpath>
-	<path refid="compile.classpath"/>
-      </classpath>
+      <classpath><path refid="compile.classpath"/></classpath>
     </javac>
   </target>
@@ -657,5 +640,4 @@
   <target name="update-web" depends="init,svnupdate-web,configure-web"
     description="update only the web stuff (config files)"/>
-
 
   <!-- ======================= Tomcat Targets ========================== -->
@@ -699,6 +681,6 @@
     <copy file="${basedir}/resources/tomcat/server.xml" tofile="${packages.home}/tomcat/conf/server.xml" overwrite="true">
       <filterset>
-	<filter token="port" value="${tomcat.port}"/>
-	<filter token="shutdown-port" value="${tomcat.shutdown.port}"/>
+        <filter token="port" value="${tomcat.port}"/>
+        <filter token="shutdown-port" value="${tomcat.shutdown.port}"/>
       </filterset>
     </copy>
@@ -706,5 +688,5 @@
     <copy file="${basedir}/resources/tomcat/greenstone3.xml" tofile="${packages.home}/tomcat/conf/Catalina/localhost/greenstone3.xml" overwrite="true">
       <filterset>
-	<filter token="gsdl3webhome" value="${web.home}"/>
+        <filter token="gsdl3webhome" value="${web.home}"/>
       </filterset>
     </copy>
@@ -743,6 +725,6 @@
     <waitfor maxwait="5" maxwaitunit="second">
       <and>
-	<socket server="${tomcat.server}" port="${tomcat.port}"/>
-	<http url="http://${tomcat.server}:${tomcat.port}${app.path}/index.html"/>
+        <socket server="${tomcat.server}" port="${tomcat.port}"/>
+        <http url="http://${tomcat.server}:${tomcat.port}${app.path}/index.html"/>
       </and>
     </waitfor>
@@ -783,8 +765,4 @@
 
 
-
-
-
-
   <!-- ======================= ant Targets ============================ --> 
   <target name="prepare-ant" depends="init">
@@ -813,11 +791,11 @@
     <copy todir="${web.lib}">
       <fileset dir="${packages.home}/axis/webapps/axis/WEB-INF/lib">
-	<include name="*.jar"/>
+        <include name="*.jar"/>
       </fileset>
     </copy>
     <copy todir="${web.home}">
       <fileset dir="${packages.home}/axis/webapps/axis/">
-	<include name="*.jsp"/>
-	<include name="*.jws"/>
+        <include name="*.jsp"/>
+        <include name="*.jws"/>
       </fileset>
     </copy>
@@ -825,5 +803,5 @@
     <copy todir="${web.classes}">
       <fileset dir="${packages.home}/axis/webapps/axis/WEB-INF/classes">
-	<include name="*.properties"/>
+        <include name="*.properties"/>
       </fileset>
     </copy>
@@ -859,6 +837,6 @@
   </target>  
 
- <!-- this target used to deploy the default web service SOAPServer (base.webservice.name) on the localsite server
-with the default servicename of localsite-->
+  <!-- this target used to deploy the default web service SOAPServer (base.webservice.name) on the localsite server
+  with the default servicename of localsite-->
   <target name="deploy-localsite" depends="init" 
     description="Deploy the SOAP server for localsite. Will start and stop Tomcat.">
@@ -878,5 +856,5 @@
   </target>
     
-<target name="get-sitename" unless="axis.sitename">
+  <target name="get-sitename" unless="axis.sitename">
     <input addproperty="axis.sitename" defaultvalue="localsite">What site do you want to deploy services for?
 Press Enter for default:localsite</input>
@@ -913,7 +891,7 @@
     </not>
     </condition>
- </target>
+  </target>
     
- <target name="create-deployment-files" depends="set-soapmethod" if="axis.sitename">
+  <target name="create-deployment-files" depends="set-soapmethod" if="axis.sitename">
     <filter token="sitename" value="${axis.sitename}"/>
     <filter token="siteuri" value="${axis.siteuri}"/>
@@ -993,15 +971,15 @@
       optimize="${compile.optimize}">
       <classpath>
-	<path refid="compile.classpath"/>
+        <path refid="compile.classpath"/>
       </classpath>
     </javac>
     <jar destfile="${build.home}/gsdl3.jar">
       <fileset dir="${build.home}">
-	<include name="org/greenstone/gsdl3/**"/>
+        <include name="org/greenstone/gsdl3/**"/>
         <include name="org/flax/**"/>
-	<exclude name="**/Test.class"/>
+        <exclude name="**/Test.class"/>
       </fileset>
       <manifest>
-	<attribute name="Built-By" value="${user.name}" />
+        <attribute name="Built-By" value="${user.name}" />
       </manifest>
     </jar>
@@ -1012,8 +990,8 @@
     <jar destfile="${build.home}/GAI.jar">
       <fileset dir="${build.home}">
-	<include name="org/greenstone/admin/**"/>
+        <include name="org/greenstone/admin/**"/>
       </fileset>
       <manifest>
-	<attribute name="Built-By" value="${user.name}" />
+        <attribute name="Built-By" value="${user.name}" />
       </manifest>
     </jar>
@@ -1021,8 +999,8 @@
     <jar destfile="${build.home}/phind.jar">
       <fileset dir="${build.home}">
-	<include name="org/greenstone/applet/phind/**"/>
+        <include name="org/greenstone/applet/phind/**"/>
       </fileset>
       <manifest>
-	<attribute name="Built-By" value="${user.name}" />
+        <attribute name="Built-By" value="${user.name}" />
       </manifest>
     </jar>
@@ -1034,8 +1012,8 @@
     <jar destfile="${build.home}/anttasks.jar">
       <fileset dir="${build.home}">
-	<include name="org/greenstone/anttasks/**"/>
+        <include name="org/greenstone/anttasks/**"/>
       </fileset>
       <manifest>
-	<attribute name="Built-By" value="${user.name}" />
+        <attribute name="Built-By" value="${user.name}" />
       </manifest>
     </jar>
@@ -1043,18 +1021,18 @@
     <jar destfile="${build.home}/gsdl3test.jar">
       <fileset dir="${build.home}">
-	<include name="org/greenstone/gsdl3/**/*Test.class"/>
-	<include name="org/greenstone/testing/**"/>
+        <include name="org/greenstone/gsdl3/**/*Test.class"/>
+        <include name="org/greenstone/testing/**"/>
       </fileset>
       <manifest>
-	<attribute name="Built-By" value="${user.name}" />
+        <attribute name="Built-By" value="${user.name}" />
       </manifest>
     </jar>
     <jar destfile="${build.home}/server.jar">
       <fileset dir="${build.home}">
-	<include name="org/greenstone/server/**"/>
+        <include name="org/greenstone/server/**"/>
       </fileset>
       <fileset file="${basedir}/resources/java/server.properties"/>
       <manifest>
-	<attribute name="Built-By" value="${user.name}"/>
+        <attribute name="Built-By" value="${user.name}"/>
       </manifest>
     </jar>
@@ -1110,5 +1088,5 @@
   Shouldn't they be configured when collection building is ENabled? -->
 
-  <!--	<target name="configure-indexers" depends="init" if="independent-indexers"> -->
+  <!-- <target name="configure-indexers" depends="init" if="independent-indexers"> -->
   <target name="configure-indexers" depends="init">
     <echo>Configuring Indexers</echo>
@@ -1137,6 +1115,6 @@
       <arg value="clean"/>
     </exec>
-
-  </target>
+  </target>
+
   <target name="distclean-packages" depends="init,distclean-javagdbm,distclean-indexers" description="Distclean only the packages"/>
 
@@ -1157,5 +1135,4 @@
       <arg value="clean"/>
     </exec>
-
   </target>
   
@@ -1291,5 +1268,5 @@
     <svn>
       <checkout url="${svn.root}/other-projects/trunk/winbin" destPath="${basedir}/winbin" revision="${branch.revision}"/>
-    </svn>	
+    </svn>
   </target>
 
@@ -1297,5 +1274,5 @@
     <svn>
       <update dir="winbin" revision="${branch.revision}"/>
-    </svn>	
+    </svn>
   </target>
   
@@ -1319,18 +1296,18 @@
   
   <!-- downloads a good XML-Parser -->
-  <target name="get-macos-extra" depends="init" if="need.macos.extra">	
-<!--
-      <get src="http://www.greenstone.org/gs3files/XML-Parser.tar.gz"
+  <target name="get-macos-extra" depends="init" if="need.macos.extra">
+    <!--
+    <get src="http://www.greenstone.org/gs3files/XML-Parser.tar.gz"
       dest="${gs2build.home}/perllib/cpan/XML-Parser.tar.gz"
       usetimestamp="true"/>
--->
+      -->
     <echo>Nothing extra currently needed for MacOs prepare</echo>
   </target>
 
-<!-- untars the XML-Parser. need to do this after compiling in gs2build-->
+  <!-- untars the XML-Parser. need to do this after compiling in gs2build-->
   <target name="install-macos-extra" depends="init,get-macos-extra" if="need.macos.extra">
     <!-- make sure these directories are present, otherwise chmod craps out 
     this chmod is needed in case we are unpacking for a second time -->
-<!--
+    <!--
     <mkdir dir="${gs2build.home}/perllib/cpan/perl-5.8"/>
     <mkdir dir="${gs2build.home}/perllib/cpan/perl-5.6"/>
@@ -1340,5 +1317,5 @@
       dest="${gs2build.home}/perllib/cpan/"
       compression="gzip"/>
--->
+    -->
     <echo>Nothing extra currently needed for MacOs install</echo>
   </target>
@@ -1483,5 +1460,5 @@
     <copy todir="${gs2build.home}/bin/windows">
       <fileset dir="${gs2build.home}/common-src/indexers/bin">
-	<include name="*.*"/>
+        <include name="*.*"/>
       </fileset>
     </copy>
@@ -1518,12 +1495,10 @@
       <formatter type="plain"/>
       <classpath>
-	<pathelement location="${build.home}/gsdl3test.jar"/>
-	<path refid="compile.classpath"/>
+        <pathelement location="${build.home}/gsdl3test.jar"/>
+        <path refid="compile.classpath"/>
       </classpath>
       <test name="${testcase}" if="testcase"/>
       <batchtest todir="${basedir}/test" unless="testcase">
-	<fileset dir="${build.home}"
-	  includes="**/*Test.class"
-	  />
+        <fileset dir="${build.home}" ncludes="**/*Test.class" />
       </batchtest>
     </junit>
@@ -1547,17 +1522,17 @@
     <svn>
       <checkout url="${flax.checkout.path}/src/java/org/flax/"  
-	destPath="${basedir}/src/java/org/flax"/>
+        destPath="${basedir}/src/java/org/flax"/>
       <checkout url="${flax.checkout.path}/src/java/org/greenstone/gsdl3/flax/" 
-	destPath="${basedir}/src/java/org/greenstone/gsdl3/flax"/>
+        destPath="${basedir}/src/java/org/greenstone/gsdl3/flax"/>
       <checkout url="${flax.checkout.path}/web/WEB-INF/classes/flax/" 
-	destPath="${web.home}/WEB-INF/classes/flax"/>
+        destPath="${web.home}/WEB-INF/classes/flax"/>
       <checkout url="${flax.checkout.path}/web/interfaces/flax/" 
-	destPath="${web.home}/interfaces/flax"/>
+        destPath="${web.home}/interfaces/flax"/>
       <checkout url="${flax.checkout.path}/web/sites/flax/" 
-	destPath="${web.home}/sites/flax"/>
+        destPath="${web.home}/sites/flax"/>
       <checkout url="${flax.checkout.path}/flax-resources"
-	destPath="${basedir}/flax-resources"/>
+        destPath="${basedir}/flax-resources"/>
       <checkout url="${flax.checkout.path}/lib"
-	destPath="${basedir}/flax-lib"/>
+        destPath="${basedir}/flax-lib"/>
     </svn>
     <echo>prepare flax files...</echo>
@@ -1585,5 +1560,5 @@
     <unzip dest="${coll.dir}">  
       <fileset dir="${coll.dir}">
-	<include name="*.zip"/>
+        <include name="*.zip"/>
       </fileset>    
     </unzip>    
@@ -1597,5 +1572,5 @@
     <unzip dest="${classes.dir}">  
       <fileset dir="${classes.dir}">
-	<include name="*.zip"/>
+        <include name="*.zip"/>
       </fileset>    
     </unzip>    
@@ -1667,4 +1642,2 @@
 
 </project>
-
-