Index: gsdl/trunk/perllib/classify.pm
===================================================================
--- gsdl/trunk/perllib/classify.pm	(revision 15725)
+++ gsdl/trunk/perllib/classify.pm	(revision 16959)
@@ -41,6 +41,4 @@
 }
 
-
-my $oid_to_clids = {};
 
 sub load_classifier_for_info {
@@ -364,71 +362,33 @@
 	$first = 0;
 	
-	if (defined ($tempinfo->{'classifyOID'})) {
-	    if ($tempinfo->{'classifyOID'} ne "oai") {
+	if (defined ($tempinfo->{'classifyOID'}))
+	{
+	    if ($tempinfo->{'classifyOID'} ne "oai")
+	    {
 		$contains_text .= $tempinfo->{'classifyOID'};
 	    }
 
-            # Extra code for incremental building.
-            # We need to store a listing of the classifiers each DOI is in
-            my $clids = [];
-            #rint STDERR "==1. Recording reverse lookup for " . $tempinfo->{'classifyOID'} . "==\n";
-            if(defined($oid_to_clids->{$tempinfo->{'classifyOID'}})) {
-              #rint STDERR "Found existing array!\n";
-              $clids = $oid_to_clids->{$tempinfo->{'classifyOID'}};
-            }
-            #rint STDERR "Appended $OID to \"" . join(";", @{$clids}) . "\"\n";
-            push(@{$clids}, $OID);
-            $oid_to_clids->{$tempinfo->{'classifyOID'}} = $clids;
-            #rint STDERR "Result: \"" . join(";", @{$clids}) . "\"\n";
-            
 	    &print_classify_info ($infodb_type, $infodb_handle, $tempinfo, $tempinfo->{'classifyOID'},
 				  $remove_empty_classifications);
-	} elsif (defined ($tempinfo->{'OID'})) {
+	}
+	elsif (defined ($tempinfo->{'OID'}))
+	{
 	    $contains_text .= $tempinfo->{'OID'};
 	    $mdoffset_text .= $tempinfo->{'offset'} if (defined ($tempinfo->{'offset'}));
-
-            
-              # note: we don't want to print the contents of the books
-              # Extra code for incremental building.
-              # We need to store a listing of the classifiers each DOI is in
-              my $clids = [];
-              #rint STDERR "==2. Recording reverse lookup for " . $tempinfo->{'OID'} . "==\n";
-              if(defined($oid_to_clids->{$tempinfo->{'OID'}})) {
-                #rint STDERR "Found existing array!\n";
-                $clids = $oid_to_clids->{$tempinfo->{'OID'}};
-              }
-              #rint STDERR "Appended $OID to \"" . join(";", @{$clids}) . "\"\n";
-              push(@{$clids}, $OID);
-              $oid_to_clids->{$tempinfo->{'OID'}} = $clids;
-              #rint STDERR "Result: \"" . join(";", @{$clids}) . "\"\n";
-
-
-	    } else {
-		
-		# Supress having top-level node in Collage classifier
-		# so no bookshelf icon appears, top-level, along with the
-		# applet
-		
-		if (!defined ($tempinfo->{'Title'}) || $tempinfo->{'Title'} ne "Collage") {
-		    $contains_text .= "\".$next_subOID"; 
-		}
-
-                # Extra code for incremental building.
-                # We need to store a listing of the classifiers each DOI is in
-                my $clids = [];
-                #rint STDERR "==3. Recording reverse lookup for $OID.$next_subOID==\n";
-                if(defined($oid_to_clids->{$OID . "." . $next_subOID})) {
-                  #rint STDERR "Found existing array!\n";
-                  $clids = $oid_to_clids->{$OID . "." . $next_subOID};
-                }
-                #rint STDERR "Appended $OID to \"" . join(";", @{$clids}) . "\"\n";
-                push(@{$clids}, $OID);
-                $oid_to_clids->{$OID . "." . $next_subOID} = $clids;
-                #rint STDERR "Result: \"" . join(";", @{$clids}) . "\"\n";
-		
-		&print_classify_info ($infodb_type, $infodb_handle, $tempinfo, "$OID.$next_subOID",
-				      $remove_empty_classifications);
-		$next_subOID++;
+	}
+	else
+	{
+	    # Supress having top-level node in Collage classifier
+	    # so no bookshelf icon appears, top-level, along with the
+	    # applet
+	    if (!defined ($tempinfo->{'Title'}) || $tempinfo->{'Title'} ne "Collage")
+	    {
+		$contains_text .= "\".$next_subOID"; 
 	    }
+
+	    &print_classify_info ($infodb_type, $infodb_handle, $tempinfo, "$OID.$next_subOID",
+				  $remove_empty_classifications);
+	    $next_subOID++;
+	}
     }
     