Index: gli/trunk/help/fr/help.xml
===================================================================
--- gli/trunk/help/fr/help.xml	(revision 16651)
+++ gli/trunk/help/fr/help.xml	(revision 16967)
@@ -205,6 +205,6 @@
 <Text id="85">Ajouter de nouvelles mÃ©tadonnÃ©es</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
 </Title>
-<Text id="86">On ajoute un Ã©lÃ©ment de mÃ©tadonnÃ©e -- Ã©lÃ©ment et valeur Ã  la fois -- Ã  un fichier. SÃ©lectionnez d'abord le fichier Ã  partir de l'arborescence de la collection situÃ©e Ã  gauche. Cette action entraÃ®ne l'apparition de toute mÃ©tadonnÃ©e prÃ©-assignÃ©e  dans le tableau de droite. </Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
-<Text id="87">SÃ©lectionnez ensuite l'Ã©lÃ©ment de mÃ©tadonnÃ©e Ã  ajouter en cliquant sur sa rangÃ©e dans le tableau.</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
+<Text id="86">On ajoute un Ã©lÃ©ment de mÃ©tadonnÃ©es -- Ã©lÃ©ment et valeur Ã  la fois -- Ã  un fichier. SÃ©lectionnez d'abord le fichier Ã  partir de l'arborescence de la collection situÃ©e Ã  gauche. Cette action entraÃ®ne l'apparition de toute mÃ©tadonnÃ©e prÃ©-assignÃ©e  dans le tableau de droite. </Text><Updated date="18-Aug-2008 by John Rose"/>
+<Text id="87">SÃ©lectionnez ensuite l'Ã©lÃ©ment de mÃ©tadonnÃ©es Ã  ajouter en cliquant sur sa rangÃ©e dans le tableau.</Text><Updated date="18-Aug-2008 by John Rose"/>
 <Text id="88">Tapez la valeur dans le champ valeur. Utilisez le caractÃšre Â«|Â» pour structurer une mÃ©tadonnÃ©e, comme dÃ©crit dans <Reference target="theenrichview"/>. Vous pouvez sauver la mÃ©tadonnÃ©e en pressant les touches [Haut] ou [Bas] et bouger ainsi le rang sÃ©lectionnÃ©. En pressant la touche [EntÃ©e] la mÃ©tadonnÃ©e sera sauvÃ©e et un nouvel espace vide sera crÃ©Ã© pour l' Ã©lÃ©ment, vous permettant dâajouter plusieurs valeurs Ã  un mÃªme Ã©lÃ©ment.</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
 <Text id="89">Vous pouvez aussi ajouter une mÃ©tadonnÃ©e Ã  un dossier, ou Ã  plusieurs fichiers sÃ©lectionnÃ©s Ã  la fois. Elle est ajoutÃ©e Ã  tous les fichiers Ã  l'intÃ©rieur du dossier ou de la sÃ©lection, et aux sous-dossiers. Gardez Ã  l'esprit que si des mÃ©tadonnÃ©es sont ajoutÃ©es Ã  un dossier, tous les nouveaux fichiers de ce dossier hÃ©ritent automatiquement de ces valeurs.</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
@@ -221,5 +221,5 @@
 <Text id="93">Modifier ou Ã©liminer les mÃ©tadonnÃ©es</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
 </Title>
-<Text id="94">Pour modifier ou Ã©liminer un Ã©lÃ©ment de mÃ©tadonnÃ©e, sÃ©lectionnez dâabord le fichier appropriÃ©, puis la valeur de la mÃ©tadonnÃ©e dans le tableau. Modifiez la valeur de ce champ et/ou supprimez tout le texte si vous dÃ©sirez Ã©liminer la mÃ©tadonnÃ©e.</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
+<Text id="94">Pour modifier ou Ã©liminer un Ã©lÃ©ment de mÃ©tadonnÃ©es, sÃ©lectionnez dâabord le fichier appropriÃ©, puis la valeur de la mÃ©tadonnÃ©e dans le tableau. Modifiez la valeur de ce champ et/ou supprimez tout le texte si vous dÃ©sirez Ã©liminer la mÃ©tadonnÃ©e.</Text><Updated date="18-Aug-2008 by John Rose"/>
 <Text id="95">Le processus est identique pour la mise Ã  jour d'un dossier avec des sous-dossiers ou plusieurs fichiers ; dans ce cas vous pouvez seulement mettre Ã  jour les mÃ©tadonnÃ©es qui sont communes Ã  tous les fichiers/dossiers sÃ©lectionnÃ©s.</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
 <Text id="96">L' Arborescence de valeurs prÃ©sente toutes les valeurs actuellement attribuÃ©es de mÃªme que les valeurs prÃ©cÃ©dentes qui ont Ã©tÃ© attribuÃ©es pendant la prÃ©sente session ; toutes les valeurs Ã©liminÃ©es ou dÃ©jÃ  modifiÃ©es seront donc toujours prÃ©sentes dans l' arborescence. Fermer la collection et la rouvrir Ã©liminera les valeurs qui ne sont plus attribuÃ©es.</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
@@ -243,5 +243,5 @@
 <Text id="106">Si la mÃ©tadonnÃ©e prÃ©alablement attribuÃ©e Ã  un fichier est dans un format reconnu par l'Interface BibliothÃ©caire -- par exemple, quand on choisit des documents dans une collection Greenstone existante -- elle est importÃ©e automatiquement quand on ajoute le fichier. Pour ce faire, la mÃ©tadonnÃ©e doit Ãªtre ajustÃ©e aux jeux de mÃ©tadonnÃ©es disponibles dans la collection.</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
 <Text id="107">L'Interface BibliothÃ©caire invite Ã  fournir les informations nÃ©cessaires. L'invite donne de brÃšves instructions puis affiche le nom de l'Ã©lÃ©ment mÃ©tadonnÃ©e importÃ© tel quâil apparaÃ®t dans le fichier source. Ce champ ne peut Ãªtre ni modifiÃ© ni remplacÃ©. Puis on choisit le jeu de mÃ©tadonnÃ©es sur lequel le nouveau Ã©lÃ©ment doit Ãªtre calquÃ© et enfin l'Ã©lÃ©ment de mÃ©tadonnÃ©e appropriÃ©. Le sytÃšme propose automatiquement le meilleur ajustement, en terme de jeu et d'Ã©lÃ©ment pour la nouvelle mÃ©tadonnÃ©e.</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
-<Text id="108">AprÃšs cela, on peut choisir Â«AjouterÂ» pour ajouter le nouvel Ã©lÃ©ment de mÃ©ta-donnÃ©e au jeu de mÃ©tadonnÃ©es choisi. (Ceci n'est possible que si aucun Ã©lement de mÃªme nom n'est prÃ©sent Ã  l'interieur du jeu choisi.) Â«FusionnerÂ» applique le nouvel Ã©lement Ã  celui choisi par l'utilisateur. Enfin, Â«IgnorerÂ» n'importe aucune mÃ©ta-donnÃ©e avec ce nom d'Ã©lement. Une fois prÃ©cisÃ©e la maniÃšre d'importer un certain Ã©lÃ©ment de mÃ©tadonnÃ©e, cette information est retenue pour la durÃ©e de vie de la collection.</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
+<Text id="108">AprÃšs cela, on peut choisir Â«AjouterÂ» pour ajouter le nouvel Ã©lÃ©ment de mÃ©ta-donnÃ©es au jeu de mÃ©tadonnÃ©es choisi. (Ceci n'est possible que si aucun Ã©lement de mÃªme nom n'est prÃ©sent Ã  l'interieur du jeu choisi.) Â«FusionnerÂ» applique le nouvel Ã©lement Ã  celui choisi par l'utilisateur. Enfin, Â«IgnorerÂ» n'importe aucune mÃ©ta-donnÃ©e avec ce nom d'Ã©lement. Une fois prÃ©cisÃ©e la maniÃšre d'importer un certain Ã©lÃ©ment de mÃ©tadonnÃ©es, cette information est retenue pour la durÃ©e de vie de la collection.</Text><Updated date="18-Aug-2008 by John Rose"/>
 <Text id="109">Pour des dÃ©tails concenant les fichiers mÃ©tadonnÃ©e.xml que Greenstone utilise pour sauvegarder les mÃ©tadonnÃ©es, rÃ©fÃ©rez-vous au chapitre 2 du guide du DÃ©veloppeur de Greenstone -- Â«Exploitez vos documents au maximumÂ».</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
 </Section>
@@ -305,5 +305,5 @@
 </Title>
 <Text id="148">Les filtres permettent de regrouper en sous-collection tous les documents dans un index pour laquelle une valeur de mÃ©tadonnÃ©e correspond Ã  des critÃšres donnÃ©s.</Text><Updated date="10-Dec-2007 by Georges"/>
-<Text id="149">Pour crÃ©er un filtre, cliquez sur le bouton Â«DÃ©finir les FiltresÂ» et entrez un nom pour le nouveau filtre dans le champ Â«Nom du filtre de sous-collectionÂ». Ensuite choisissez un attribut de document (soit un Ã©lÃ©ment de mÃ©tadonnÃ©e soit le nom du fichier) qui doit correspondre Ã  des critÃšres. Saisissez une expression rÃ©guliÃšre pour dÃ©finir les critÃšres de la correspondance. Vous pouvez choisir d'Â«InclureÂ» les documents qui correspondent aux critÃšres ou de les Â«ExclureÂ». Enfin, on peut spÃ©cifier des drapeaux standard des expressions rÃ©guliÃšres PERL Ã  utiliser pour la correspondance (par exemple Â«iÂ» pour les correspondances ne tenant pas compte de la casse). Pour finir, cliquez sur Â«Ajouter filtreÂ» pour ajouter le filtre Ã  la liste Â«Filtres de sous-collection dÃ©finisÂ». </Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
+<Text id="149">Pour crÃ©er un filtre, cliquez sur le bouton Â«DÃ©finir les FiltresÂ» et entrez un nom pour le nouveau filtre dans le champ Â«Nom du filtre de sous-collectionÂ». Ensuite choisissez un attribut de document (soit un Ã©lÃ©ment de mÃ©tadonnÃ©es soit le nom du fichier) qui doit correspondre Ã  des critÃšres. Saisissez une expression rÃ©guliÃšre pour dÃ©finir les critÃšres de la correspondance. Vous pouvez choisir d'Â«InclureÂ» les documents qui correspondent aux critÃšres ou de les Â«ExclureÂ». Enfin, on peut spÃ©cifier des drapeaux standard des expressions rÃ©guliÃšres PERL Ã  utiliser pour la correspondance (par exemple Â«iÂ» pour les correspondances ne tenant pas compte de la casse). Pour finir, cliquez sur Â«Ajouter filtreÂ» pour ajouter le filtre Ã  la liste Â«Filtres de sous-collection dÃ©finisÂ». </Text><Updated date="22-Aug-2008 by John Rose"/>
 <Text id="150">Pour enlever un filtre, sÃ©lectionnez-le dans la liste et cliquer sur Â«Supprimer filtreÂ».</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
 <Text id="151">Pour changer un filtre, sÃ©lectionnez-le sur la liste, changez au moins une des valeurs apparaissant dans les contrÃŽles de rÃ©vision et cliquez sur Â«Remplacer filtreÂ» pour valider les modifications.</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
@@ -403,5 +403,5 @@
 </Title>
 <Text id="fc-s2">Cette section explique comment configurer l'affichage du texte dans les listes dÃ©roulantes de la page de recherche. Dans la vue Â«FormaterÂ», cliquez sur Â«RecherchesÂ».</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
-<Text id="fc-s3">Ce panneau contient un tableau Ã©numÃ©rant chaque index de recherche. Ici, vous pouvez saisir les textes qui seront utilisÃ©s comme noms des Ã©lÃ©ments qui apparaÃ®tront dans les listes dÃ©roulantes de la page de recherche. Ce panneau vous permet de dÃ©finir le texte pour une seule langue, celle utilisÃ©e pour l'interface de GLI. Pour traduire ces noms dans d'autres langues, utilisez la partie Traduire Texte de la vue "Formater" (voir <Reference target="translatetext"/>).</Text><Updated date="3-Dec-2007 by Georges Braoudakis"/>
+<Text id="fc-s3">Ce panneau contient un tableau Ã©numÃ©rant chaque index de recherche. Ici, vous pouvez saisir les textes qui seront utilisÃ©s comme noms des Ã©lÃ©ments qui apparaÃ®tront dans les listes dÃ©roulantes de la page de recherche. Ce panneau vous permet de dÃ©finir le texte pour une seule langue, celle utilisÃ©e pour l'interface de GLI. Pour traduire ces noms dans d'autres langues, utilisez le panneau Â«Traduire TexteÂ» de la vue Â«FormaterÂ» (voir <Reference target="translatetext"/>).</Text><Updated date="5-Aug-2008 by johnrose"/>
 </Section>
 <Section name="formatstatements">
@@ -441,4 +441,13 @@
 <Text id="fc-m3">Ce panneau montre le contenu du fichier extra.dm de la collection. C'est lÃ  oÃ¹ peuvent Ãªtre dÃ©finies des macros spÃ©cifiques Ã  la collection. Pour en savoir plus sur les macros, voir le chapitre 3 du Guide du DÃ©veloppeur Greenstone.</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
 </Section>
+<Section name="depositormetadatasettings">
+<Title>
+<!-- Missing translation: dm-1 -->
+</Title>
+<!-- Missing translation: dm-2 -->
+<!-- Missing translation: dm-3 -->
+<!-- Missing translation: dm-4 -->
+<!-- Missing translation: dm-5 -->
+</Section>
 </Section>
 <Section name="miscellaneous">
@@ -465,5 +474,5 @@
 <Text id="214">Pour ajouter une association, sÃ©lectionnez l'extension de fichier cible dans la liste dÃ©roulante, ou tapez une nouvelle extension (sans le Â«.Â»). Ensuite soit tapez la commande qui lance l'application voulue dans le champ appropriÃ©, soit choisissez l'application aprÃšs avoir cliquÃ© sur le bouton Â«ParcourirÂ». "%1" peut Ãªtre utilisÃ© dans la commande de lancement pour insÃ©rer le nom du fichier qui s'ouvre. Une fois cela fait, Â«AjouterÂ» est activÃ©. Cliquez dessus pour ajouter l'association.</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
 <Text id="215">Pour modifier une association, sÃ©lectionnez une extension de fichier existante. Toute commande existante associÃ©e est affichÃ©e dans le champ Â«Commande de lancementÂ». Corrigez-la, et puis cliquez sur Â«RemplacerÂ».</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
-<Text id="216">Pour enlever une association, sÃ©lectionnez une extension de fichier existante et cliquez sur Â«SupprimerÂ». (L'extension du fichier reste dans la liste dÃ©roulante Â«Pour la terminaison de fichierÂ»).</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
+<Text id="216">Pour enlever une association, sÃ©lectionnez une extension de fichier existante et cliquez sur Â«SupprimerÂ».</Text><Updated date="5-Aug-2008 by johnrose"/>
 <Text id="217">Les associations de fichiers sont stockÃ©es dans le dossier principal du rÃ©pertoire de l'Interface BibliothÃ©caire, dans un fichier appelÃ© Â«associations.xmlÂ».</Text><Updated date="4-Aug-2008 by CÃ©line Guimbertaud"/>
 </Section>