Index: /gsdl/trunk/perllib/plugins/BaseMediaConverter.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/BaseMediaConverter.pm	(revision 16976)
+++ /gsdl/trunk/perllib/plugins/BaseMediaConverter.pm	(revision 16976)
@@ -0,0 +1,198 @@
+###########################################################################
+#
+# MediaConverter - helper plugin that provide base functionality for 
+#                  image/video conversion using ImageMagick/ffmpeg
+#
+# A component of the Greenstone digital library software
+# from the New Zealand Digital Library Project at the 
+# University of Waikato, New Zealand.
+#
+# Copyright (C) 2008 New Zealand Digital Library Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+###########################################################################
+package MediaConverter;
+
+use PrintInfo;
+
+use convertutil;
+
+use strict;
+use gsprintf 'gsprintf';
+
+BEGIN {
+    @MediaConverter::ISA = ('PrintInfo');
+}
+
+my $arguments = [
+		 ];
+
+my $options = { 'name' => "MediaConverter",
+		'desc' => "{MediaConverter.desc}",
+		'abstract' => "yes",
+		'inherits' => "yes",
+		'args' => $arguments };
+
+sub new {
+    my ($class) = shift (@_);
+    my ($pluginlist,$inputargs,$hashArgOptLists,$auxiliary) = @_;
+    push(@$pluginlist, $class);
+
+    push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});
+    push(@{$hashArgOptLists->{"OptList"}},$options);
+
+    my $self = new PrintInfo($pluginlist, $inputargs, $hashArgOptLists, $auxiliary);
+
+    return bless $self, $class;
+}
+
+sub begin {
+    my $self = shift (@_);
+    my ($pluginfo, $base_dir, $processor, $maxdocs) = @_;
+
+    # Save base_dir for use in file cache
+    $self->{'base_dir'} = $base_dir;
+
+}
+
+
+sub init_cache_for_file
+{
+    my $self = shift @_;
+    my ($filename) = @_;
+
+    my $verbosity = $self->{'verbosity'};
+    my $outhandle = $self->{'outhandle'};
+    my $base_dir = $self->{'base_dir'};
+    
+    # Work out relative filename within 'base_dir'
+    my ($file) = ($filename =~ m/^$base_dir(.*?)$/);
+    
+    $file =~ s/^\/|\\//; # get rid of leading slash from relative filename
+
+    # Setup cached_dir and file_root
+
+    my ($file_root, $dirname, $suffix)
+	= &File::Basename::fileparse($file, "\\.[^\\.]+\$");
+
+    my $collect_dir = $ENV{'GSDLCOLLECTDIR'};
+    my $base_output_dir = &util::filename_cat($collect_dir,"cached",$dirname);
+
+    if (!-e $base_output_dir ) {
+	print $outhandle "Creating directory $base_output_dir\n"
+	    if ($verbosity>2);
+
+	&util::mk_all_dir($base_output_dir);
+    }
+
+    my $output_dir = &util::filename_cat($base_output_dir,$file_root);
+
+    if (!-e $output_dir) {
+	print $outhandle "Creating directory $output_dir\n"
+	    if ($verbosity>2);
+
+	&util::mk_dir($output_dir);
+    }
+
+    $self->{'cached_dir'} = $output_dir;
+    $self->{'cached_file_root'} = $file_root;
+    
+}
+
+
+
+sub run_general_cmd
+{
+    my $self = shift @_;
+    my ($command,$print_info) = @_;
+
+
+    if (!defined $print_info->{'verbosity'}) {
+	$print_info->{'verbosity'} = $self->{'verbosity'};
+    }
+
+    if (!defined $print_info->{'outhandle'}) {
+	$print_info->{'outhandle'} = $self->{'outhandle'};
+    }
+
+    
+    return &convertutil::run_general_cmd(@_);
+}
+
+
+sub regenerate_general_cmd
+{
+    my $self = shift @_;
+    my ($command,$ofilename,$print_info) = @_;
+
+    if (!defined $print_info->{'verbosity'}) {
+	$print_info->{'verbosity'} = $self->{'verbosity'};
+    }
+
+    if (!defined $print_info->{'outhandle'}) {
+	$print_info->{'outhandle'} = $self->{'outhandle'};
+    }
+
+    return &convertutil::regenerate_general_cmd(@_);
+}
+
+
+
+sub run_cached_general_cmd
+{
+    my $self = shift @_;
+
+    my ($command,$ofilename,$print_info) = @_;
+
+    if (!defined $print_info->{'verbosity'}) {
+	$print_info->{'verbosity'} = $self->{'verbosity'};
+    }
+
+    if (!defined $print_info->{'outhandle'}) {
+	$print_info->{'outhandle'} = $self->{'outhandle'};
+    }
+
+    return &convertutil::run_cached_general_cmd(@_);
+}
+
+
+
+sub autorun_general_cmd
+{
+    my $self = shift @_;
+
+    my ($command,$ofilename,$print_info) = @_;
+
+    my $result;
+    my $regenerated;
+    my $had_error;
+
+    if ($self->{'cache_generated_images'}) {
+	($regenerated,$result,$had_error)
+	    = $self->run_cached_general_cmd($command,$ofilename,$print_info);
+    }
+    else {
+	$regenerated = 1; # always true for a command that is always run
+	($result,$had_error)
+	    = $self->run_general_cmd($command,$print_info);
+    }
+
+    return ($regenerated,$result,$had_error);
+}
+
+
+#
+1;	
Index: dl/trunk/perllib/plugins/MediaConverter.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/MediaConverter.pm	(revision 16975)
+++ 	(revision )
@@ -1,198 +1,0 @@
-###########################################################################
-#
-# MediaConverter - helper plugin that provide base functionality for 
-#                  image/video conversion using ImageMagick/ffmpeg
-#
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the 
-# University of Waikato, New Zealand.
-#
-# Copyright (C) 2008 New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
-###########################################################################
-package MediaConverter;
-
-use PrintInfo;
-
-use convertutil;
-
-use strict;
-use gsprintf 'gsprintf';
-
-BEGIN {
-    @MediaConverter::ISA = ('PrintInfo');
-}
-
-my $arguments = [
-		 ];
-
-my $options = { 'name' => "MediaConverter",
-		'desc' => "{MediaConverter.desc}",
-		'abstract' => "yes",
-		'inherits' => "yes",
-		'args' => $arguments };
-
-sub new {
-    my ($class) = shift (@_);
-    my ($pluginlist,$inputargs,$hashArgOptLists,$auxiliary) = @_;
-    push(@$pluginlist, $class);
-
-    push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});
-    push(@{$hashArgOptLists->{"OptList"}},$options);
-
-    my $self = new PrintInfo($pluginlist, $inputargs, $hashArgOptLists, $auxiliary);
-
-    return bless $self, $class;
-}
-
-sub begin {
-    my $self = shift (@_);
-    my ($pluginfo, $base_dir, $processor, $maxdocs) = @_;
-
-    # Save base_dir for use in file cache
-    $self->{'base_dir'} = $base_dir;
-
-}
-
-
-sub init_cache_for_file
-{
-    my $self = shift @_;
-    my ($filename) = @_;
-
-    my $verbosity = $self->{'verbosity'};
-    my $outhandle = $self->{'outhandle'};
-    my $base_dir = $self->{'base_dir'};
-    
-    # Work out relative filename within 'base_dir'
-    my ($file) = ($filename =~ m/^$base_dir(.*?)$/);
-    
-    $file =~ s/^\/|\\//; # get rid of leading slash from relative filename
-
-    # Setup cached_dir and file_root
-
-    my ($file_root, $dirname, $suffix)
-	= &File::Basename::fileparse($file, "\\.[^\\.]+\$");
-
-    my $collect_dir = $ENV{'GSDLCOLLECTDIR'};
-    my $base_output_dir = &util::filename_cat($collect_dir,"cached",$dirname);
-
-    if (!-e $base_output_dir ) {
-	print $outhandle "Creating directory $base_output_dir\n"
-	    if ($verbosity>2);
-
-	&util::mk_all_dir($base_output_dir);
-    }
-
-    my $output_dir = &util::filename_cat($base_output_dir,$file_root);
-
-    if (!-e $output_dir) {
-	print $outhandle "Creating directory $output_dir\n"
-	    if ($verbosity>2);
-
-	&util::mk_dir($output_dir);
-    }
-
-    $self->{'cached_dir'} = $output_dir;
-    $self->{'cached_file_root'} = $file_root;
-    
-}
-
-
-
-sub run_general_cmd
-{
-    my $self = shift @_;
-    my ($command,$print_info) = @_;
-
-
-    if (!defined $print_info->{'verbosity'}) {
-	$print_info->{'verbosity'} = $self->{'verbosity'};
-    }
-
-    if (!defined $print_info->{'outhandle'}) {
-	$print_info->{'outhandle'} = $self->{'outhandle'};
-    }
-
-    
-    return &convertutil::run_general_cmd(@_);
-}
-
-
-sub regenerate_general_cmd
-{
-    my $self = shift @_;
-    my ($command,$ofilename,$print_info) = @_;
-
-    if (!defined $print_info->{'verbosity'}) {
-	$print_info->{'verbosity'} = $self->{'verbosity'};
-    }
-
-    if (!defined $print_info->{'outhandle'}) {
-	$print_info->{'outhandle'} = $self->{'outhandle'};
-    }
-
-    return &convertutil::regenerate_general_cmd(@_);
-}
-
-
-
-sub run_cached_general_cmd
-{
-    my $self = shift @_;
-
-    my ($command,$ofilename,$print_info) = @_;
-
-    if (!defined $print_info->{'verbosity'}) {
-	$print_info->{'verbosity'} = $self->{'verbosity'};
-    }
-
-    if (!defined $print_info->{'outhandle'}) {
-	$print_info->{'outhandle'} = $self->{'outhandle'};
-    }
-
-    return &convertutil::run_cached_general_cmd(@_);
-}
-
-
-
-sub autorun_general_cmd
-{
-    my $self = shift @_;
-
-    my ($command,$ofilename,$print_info) = @_;
-
-    my $result;
-    my $regenerated;
-    my $had_error;
-
-    if ($self->{'cache_generated_images'}) {
-	($regenerated,$result,$had_error)
-	    = $self->run_cached_general_cmd($command,$ofilename,$print_info);
-    }
-    else {
-	$regenerated = 1; # always true for a command that is always run
-	($result,$had_error)
-	    = $self->run_general_cmd($command,$print_info);
-    }
-
-    return ($regenerated,$result,$had_error);
-}
-
-
-#
-1;	